﻿using System;
using System.Drawing;

using Iterator.Units;

namespace Iterator.Buildings
{
    public abstract class InfantryFactory
    {
        public Point FactoryWaypoint { get; set; }
        public UnitBehaviour? FactoryUnitBehaviour { get; set; }

        public InfantryFactory()
        {
            FactoryUnitBehaviour = null; // UnitBehaviour.Normal;
        }

        public GameUnit BuildUnit(UnitType type)
        {
            // Create Unit
            GameUnit unit = CreateUnit(type);

            // Prepare Unit
            // If this factory has a behaviour set, override default faction behaviour
            unit.Behaviour = FactoryUnitBehaviour ?? unit.Behaviour;
            unit.Move(FactoryWaypoint);

            return unit;
        }

        protected abstract GameUnit CreateUnit(UnitType type);
    }
}
