﻿using System;
using System.Collections;
using System.Collections.Generic;

namespace Iterator.CommandCenter
{
    // Electronic Video Agent
    public class Eva : IEnumerable<TacticalMove>
    {
        private static int MAX_ORDERS = 6;
        private int _numberOfOrders = 0;
        private TacticalMove[] _tacticalMoves = new TacticalMove[MAX_ORDERS];

        public void AddOrder(string orderName, string orderInstructions)
        {
            TacticalMove order = new TacticalMove(orderName, orderInstructions);

            if (_numberOfOrders >= MAX_ORDERS)
            {
                throw new Exception("Max orders has been reached.");
            }
            else
            {
                _tacticalMoves[_numberOfOrders] = order;
                _numberOfOrders++;
            }
        }

        public IEnumerator<TacticalMove> GetEnumerator()
        {
            return new EvaIterator(_tacticalMoves);
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return new EvaIterator(_tacticalMoves);
        }
    }
}
