﻿using System;
using System.Collections;
using System.Collections.Generic;

namespace Iterator.CommandCenter
{
    public class EvaIterator: IEnumerator<TacticalMove>
    {
        private int _position = -1;
        private TacticalMove[] _tacticalOrders;

        public EvaIterator(TacticalMove[] items)
        {
            _tacticalOrders = items;
        }

        public TacticalMove Current
        {
            get { return _tacticalOrders[_position]; }
        }

        object IEnumerator.Current
        {
            get { return _tacticalOrders[_position]; }
        }

        public bool MoveNext()
        {
            if ((_position + 1 < _tacticalOrders.Length) &&
                (_tacticalOrders[_position + 1] != null))
            {
                _position++;
                return true;
            }
            else
            {
                return false;
            }
        }

        public void Reset()
        {
            _position = -1;
        }

        public void Dispose()
        {
            // Nothing to dispose
        }
    }
}
