﻿using System;
using System.Collections.Generic;

namespace Iterator.CommandCenter.Step1
{
    public class WorldOrders
    {
        private Eva GDI { get; set; }
        private Legion NOD { get; set; }

        public WorldOrders(Eva gdiOrders, Legion nodOrders)
        {
            GDI = gdiOrders;
            NOD = nodOrders;
        }

        public void PrintWorldOrders()
        {
            List<TacticalMove> nodOrders = NOD.GetOrders();
            TacticalMove[] gdiOrders = GDI.GetOrders();

            Console.WriteLine("NOD Orders");
            Console.WriteLine("----------");
            for (int i = 0; i < nodOrders.Count; i++)
            {
                Console.WriteLine(nodOrders[i].Name);
                Console.WriteLine(string.Format(" -- {0}", 
                                         nodOrders[i].Instructions));
                Console.WriteLine();
            }

            Console.WriteLine("GDI Orders");
            Console.WriteLine("----------");
            for (int i = 0; i < gdiOrders.Length; i++)
            {
                if (gdiOrders[i] != null)
                {
                    Console.WriteLine(gdiOrders[i].Name);
                    Console.WriteLine(string.Format(" -- {0}", 
                                             gdiOrders[i].Instructions));
                    Console.WriteLine();
                }
            }
        }
    }
}
