﻿using System;

namespace Iterator.CommandCenter.Step2
{
    // Electronic Video Agent
    public class Eva
    {
        private static int MAX_ORDERS = 6;
        private int _numberOfOrders = 0;
        private TacticalMove[] _tacticalMoves = new TacticalMove[MAX_ORDERS];

        public void AddOrder(string orderName, string orderInstructions)
        {
            TacticalMove order = new TacticalMove(orderName, orderInstructions);

            if (_numberOfOrders >= MAX_ORDERS)
            {
                throw new Exception("Max orders has been reached.");
            }
            else
            {
                _tacticalMoves[_numberOfOrders] = order;
                _numberOfOrders++;
            }
        }

        public Iterator<TacticalMove> GetIterator()
        {
            return new EvaIterator(_tacticalMoves);
        }
    }
}
