﻿using System;
using System.Collections.Generic;

namespace Iterator.CommandCenter.Step2
{
    public class LegionIterator: Iterator<TacticalMove>
    {
        private int _position = 0;
        private List<TacticalMove> _tacticalOrders;

        public LegionIterator(List<TacticalMove> items)
        {
            _tacticalOrders = items;
        }

        public bool HasNext()
        {
            return (_position < _tacticalOrders.Count);
        }

        public TacticalMove Next()
        {
            TacticalMove tacticalOrder = _tacticalOrders[_position];
            _position++;
            return tacticalOrder;
        }
    }
}
