﻿using System;
using System.Collections.Generic;

namespace Iterator.CommandCenter.Step2
{
    public class WorldOrders
    {
        private Eva GDI { get; set; }
        private Legion NOD { get; set; }

        public WorldOrders(Eva gdiOrders, Legion nodOrders)
        {
            GDI = gdiOrders;
            NOD = nodOrders;
        }

        public void PrintWorldOrders()
        {
            Iterator<TacticalMove> nodOrders = NOD.GetIterator();
            Iterator<TacticalMove> gdiOrders = GDI.GetIterator();

            Console.WriteLine("NOD Orders");
            Console.WriteLine("----------");
            PrintOrders(nodOrders);

            Console.WriteLine("GDI Orders");
            Console.WriteLine("----------");
            PrintOrders(gdiOrders);
        }

        private void PrintOrders(Iterator<TacticalMove> ordersIterator)
        {
            while (ordersIterator.HasNext())
            {
                TacticalMove tacticalOrder = ordersIterator.Next();
                Console.WriteLine(tacticalOrder.Name);
                Console.WriteLine(string.Format(" -- {0}", tacticalOrder.Instructions));
                Console.WriteLine();
            }
        }
    }
}
