﻿using System;

namespace Iterator.CommandCenter.Step3
{
    public class EvaIterator: Iterator<TacticalMove>
    {
        private int _position = 0;
        private TacticalMove[] _tacticalOrders;

        public EvaIterator(TacticalMove[] items)
        {
            _tacticalOrders = items;
        }

        public bool HasNext()
        {
            return ((_position < _tacticalOrders.Length) && (_tacticalOrders[_position] != null));
        }

        public TacticalMove Next()
        {
            TacticalMove tacticalOrder = _tacticalOrders[_position];
            _position++;
            return tacticalOrder;
        }
    }
}
