﻿using System;
using System.Collections;
using System.Collections.Generic;

namespace Iterator.CommandCenter
{
    public class WorldOrders
    {
        private IEnumerable<TacticalMove> GDI { get; set; }
        private IEnumerable<TacticalMove> NOD { get; set; }

        public WorldOrders(IEnumerable<TacticalMove> gdiOrders, IEnumerable<TacticalMove> nodOrders)
        {
            GDI = gdiOrders;
            NOD = nodOrders;
        }

        public void PrintWorldOrders()
        {
            IEnumerator<TacticalMove> nodOrders = NOD.GetEnumerator();
            IEnumerator<TacticalMove> gdiOrders = GDI.GetEnumerator();

            Console.WriteLine("NOD Orders");
            Console.WriteLine("----------");
            PrintOrders(nodOrders);

            Console.WriteLine("GDI Orders");
            Console.WriteLine("----------");
            PrintOrders(gdiOrders);
        }

        private void PrintOrders(IEnumerator<TacticalMove> ordersIterator)
        {
            while (ordersIterator.MoveNext())
            {
                TacticalMove tacticalOrder = ordersIterator.Current;
                Console.WriteLine(tacticalOrder.Name);
                Console.WriteLine(string.Format(" -- {0}", tacticalOrder.Instructions));
                Console.WriteLine();
            }
        }
    }
}
