﻿using System;

namespace Iterator.Graphics
{
    public abstract class RenderEngine
    {
        // Don't have 'final' keyword, 
        // no such thing in C#
        public void RenderScreen()
        {
            // Rendering algorithm.
            DrawWorld();
            DrawUnits();
            DrawUI();
            DrawEffects();
            DrawBorder();
        }

        public abstract void DrawWorld();
        public abstract void DrawUnits();
        public abstract void DrawUI();
        public abstract void DrawEffects();

        public void DrawBorder()
        {
            // Draw a border around the screen
            // The same for every renderer
            Console.WriteLine("Drawing a border around the screen");
        }
    }
}
