﻿using System;

using Iterator.Commands;

namespace Iterator.Screens
{
    public class GameControls
    {
        private ICommand[] _buttons = new ICommand[3];
        private ICommand _undoButton;

        public GameControls()
        {
            ResetButtons();
        }

        public void ResetButtons()
        {
            for (int i = 0; i < _buttons.Length; i++)
            {
                _buttons[i] = new NoCommand();
            }
            _undoButton = new NoCommand();
        }

        public void SetButton(int button, ICommand command)
        {
            if ((button >= 0) && (button < _buttons.Length))
            {
                _buttons[button] = command;
            }
        }

        public void ButtonPressed(int button)
        {
            if ((button >= 0) && (button < _buttons.Length))
            {
                _buttons[button].Execute();
                _undoButton = _buttons[button];
            }
        }

        public void UndoButtonPressed()
        {
            _undoButton.Undo();
        }
    }
}
